<div class="node <?php print $node_classes ?>" id="node-<?php print $node->nid; ?>">
	<?php if ($page == 0): ?>
		<div class="node-title">
			<h2>
				<a href="<?php print $node_url; ?>"><?php print $title; ?></a>
			</h2>
			<?php if (count($taxonomy)): ?>
				<div class="taxonomy"><?php print t(' in ') . $terms; ?></div>
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<?php if ($unpublished) : ?>
		<div class="unpublished"><?php print t('Unpublished'); ?></div>
	<?php endif; ?>

	<?php if ($picture) print $picture; ?>

	<?php if ($submitted): ?>
		<div class="submitted">
			<?php print $submitted; ?>
		</div>
	<?php endif; ?>

	<div class="content">
		<?php print $content; ?>
	</div>

	<?php if ($links): ?>
		<div class="links">
			<?php print $links; ?>
		</div>
	<?php endif; ?>
</div>