/* $Id: search.js,v 1.0.0.0 2008/5/2 21:10:59 waupacalarson Exp $ */
/* Based on skyliner.js by dvessel */
$(document).ready(function() {
  $('#search-theme-form').alter_search();
});

jQuery.fn.extend({
  // Alter search box.
  alter_search : function() {
    this.each(function() {
      var button_val = $('input:submit:eq(0)', this).val();
      $('input:text', this)
        .before('<span class="sbox-l"></span>')
        .after('<span class="sbox-r"></span>')
        .wrap('<span class="sbox"></span>')
        .addClass('place-holder')
        .attr('value', button_val)
        .focus(function() {
          // Clear values and set color when it's the place holder.
          if ($(this).attr('value') == button_val) {
            $(this).attr('value', '').removeClass('place-holder');
          }
        })
        .blur(function() {
          // If value is the place holder or if it's empty.
          if ($(this).attr('value') == button_val || !$(this).attr('value')) {
            $(this).addClass('place-holder').attr('value', button_val);
          }
        })
        .keyup(function(e) {
          if ($(this).attr('value')) { // Has value? Then show clear button.
            $('~.sbox-r', this.parentNode).addClass('can-clear');
          }
          else { // No value? Then hide clear button.
            $('~.sbox-r', this.parentNode).removeClass('can-clear');
          }
        });
        $('.sbox-r', this).click(function() { // Clear button click. Clears then focuses on input box.
          $('.sbox input:text', this.parentNode).attr('value', '').get(0).focus();
          $(this).removeClass('can-clear');
        });
        $('.sbox-l', this).click(function() { // Magnifying glass click. Selects text.
          $('.sbox input:text', this.parentNode).get(0).select();
        });
    });
    return this;
  }
});